VEXPRESS(4)

NAME
vexpress - ARM Versatile Express device bus

SYNOPSIS
vexpress0 at mainbus?

DESCRIPTION
The vexpress interface serves as an abstraction used by the autoconfiguration system to help find and attach devices integrated on the ARM Versatile Express development boards.

vexpress provides support for the following devices:

plrtc(4)
    ARM PrimeCell PL031 Real-time clock
pluart(4)
    ARM PrimeCell PL011 UART
sysreg(4)
    ARM Motherboard Express microATX system registers
virtio(4)
    VirtIO support

SEE ALSO
intro(4), mainbus(4) ARM Motherboard Express microATX Technical Reference Manual.

HISTORY
The vexpress driver first appeared in OpenBSD 5.8.